ClarisWksStruct Namespace Reference

namespace to store the main structure which appears in a ClarisDraw/ClarisWorks file More...

## Classes

struct | Struct
| a basic structure More...
struct | DSET
| main structure which correspond to a document part More...

## Functions

std::ostream & | operator<< (std::ostream &o, Struct const &z)
bool | readIntZone (MWAWParserState &parserState, char const *zoneName, bool hasEntete, int fSz, std::vector< int > &res)
| try to read a int structured zone where fSz to the int size: 1(int8), 2(int16), 4(int32)
bool | readStructZone (MWAWParserState &parserState, char const *zoneName, bool hasEntete)
| try to read a structured zone with unknown content
std::ostream & | operator<< (std::ostream &o, DSET const &doc)

## Variables

static const int | MAX_PAGES = 1 << 16

## Detailed Description

namespace to store the main structure which appears in a ClarisDraw/ClarisWorks file

## Function Documentation

## operator<<() [1/2]

std::ostream & ClarisWksStruct::operator<< | ( | std::ostream & | o,
|  | DSET const & | doc )

## operator<<() [2/2]

std::ostream & ClarisWksStruct::operator<< | ( | std::ostream & | o,
|  | Struct const & | z )

## readIntZone()

bool ClarisWksStruct::readIntZone | ( | MWAWParserState & | parserState,
|  | char const * | zoneName,
|  | bool | hasEntete,
|  | int | intSz,
|  | std::vector< int > & | res )

try to read a int structured zone where fSz to the int size: 1(int8), 2(int16), 4(int32)

Referenced by ClarisWksDatabase::readDatabaseZone(), ClarisDrawGraph::readGroupHeader(), ClarisWksGraph::readGroupHeader(), and ClarisWksTable::readTableZone().

## readStructZone()

bool ClarisWksStruct::readStructZone | ( | MWAWParserState & | parserState,
|  | char const * | zoneName,
|  | bool | hasEntete )

try to read a structured zone with unknown content

Referenced by ClarisWksGraph::readDatabasePictZone(), ClarisWksDatabase::readDatabaseZone(), ClarisDrawParser::readDocHeader(), ClarisWksDocument::readDocHeader(), ClarisDrawGraph::readGroupData(), ClarisWksDatabase::readLayout(), ClarisDrawParser::readLibraryHeader(), ClarisWksSpreadsheet::readSpreadsheetZone(), ClarisWksTable::readTableZone(), and ClarisWksDocument::readZoneA().

## Variable Documentation

## MAX_PAGES

const int ClarisWksStruct::MAX_PAGES = 1 << 16

static

Referenced by ClarisWksStruct::DSET::updateChildPositions().